Bug 74707 - gnome-terminal window not movable/resizable after going to fullscreen mode
gnome-terminal window not movable/resizable after going to fullscreen mode
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-30 21:42 EDT by petrosyan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 22:58:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2002-09-30 21:42:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
after I go to fullscreen mode and then remove the menubar then turn the menubar
back again and then restore the normal size, gnome-terminal window does not
react to mouse anymore

Version-Release number of selected component (if applicable):
2.0.1-5

How reproducible:
Always

Steps to Reproduce:
1.start gnome-terminal
2.click View/Full screen
3.click View/Hide Menubar
4.right click on the terminal window and choose "Show Menubar"
5.click View/Restore normal size

Actual Results:  it is impossible to resize, move or maximize the gnome-terminal
window after that.

Expected Results:  it should work as expected
Comment 1 Havoc Pennington 2002-10-01 11:17:27 EDT
This should be assigned to the window manager you're using, I'm assuming metacity.
Comment 2 petrosyan 2002-10-01 11:54:48 EDT
yes, i am using metacity
Comment 3 Havoc Pennington 2003-01-12 17:28:08 EST
Reproduced, thanks for the precise instructions.

I would guess that src/window.c:recalc_window_features() is not called 
when transitioning out of fullscreen mode, or something along those lines.
Comment 4 Havoc Pennington 2003-01-12 22:58:44 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103317
Comment 5 Havoc Pennington 2003-01-23 10:03:27 EST
Fixed in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.